// This is only a short coding demo which shows usage of vector-based (drawn)
// pictures in The Quill Adventure Writer.

$$TITLE("Drawing Demo")

$$VOCABULARY(4)

WORD(100,QUIT)

$$LOCATIONS

LOC(0,"No, this is not a game. It is only a simple demo which illustrates "
    "drawn (vector-based) pictures in The Quill.")

$$MESSAGES

$$SYSTEM_MESSAGES

MSG(2,"\nI await your command.")
MSG(3,"\nI'm ready for your instructions.")
MSG(4,"\nTell me what to do.")
MSG(5,"\nGive me your command.")
MSG(6,"As this is not a game, the only word I understand is QUIT.")

$$OBJECTS(0)

$$CONNECTIONS

$$EVENTS

EVENT
    ISDESC
    CLS
    SHOWLOC
    NEWLINE

$$ACTIONS

ACTION(QUIT,_)
    EXIT
    
$$PICTURES

DRAWING(0,104)
    PLOT(0,0) LINE(255,0) LINE(0,100) LINE(-255,0) LINE(0,-100)
    MOVE(96,48) LINE(0,32) LINE(72,0) LINE(0,-32) LINE(-80,0)
    LINE(24,-24) LINE(88,0) LINE(-24,24) LINE(-8,0)
    MOVE(32,-24) LINE(16,16) LINE(-8,0) LINE(-12,-12)
    MOVE(12,12) LINE(0,24) LINE(-40,16)
    MOVE(-72,-24) LINE(-96,0)
    MOVE(255,0) LINE(-47,0)
    MOVE(-99,24) LINE(0,-24) LINE(16,0) LINE(0,24)
    MOVE(16,-24) LINE(16,0) LINE(0,12) LINE(-16,0) LINE(0,-12)
    MOVE(40,-2) LINE(16,-6) LINE(0,8) LINE(-16,7) LINE(0,-8)
    AMOVE(50,20) ELLIPSE(15,15)
    FILL(156,15)
    SHADE(0,0,$LIGHTDOTFILL)
    SHADE(40,0,$DOTFILL)
    SHADE(0,50,$LINEFILL)
    SHADE(70,10,$BRICKFILL)
    SHADE(70,40,$VLINEFILL)
    SHADE(100,40,$LIGHTDOTFILL)
    SHADE(140,35,$LIGHTDOTFILL)
END_DRAWING

$$EXTERN

$$END
